COMPATIBILITY WITH KONTROL X1MK3/TRAKTOR PRO 3/MAC OS

FRUTELLO
FRUTELLO Member Posts: 6 Member

Hi All Members,

I want to have yours feed back regarding KONTROL X1 MK3, please inform if you are using this controller with Mac book pro without any issue : if yes which version of MAC OS are your are using , and which version of Traktor pro 3 also .

Actually i m using KONTROLX1 MK2 , with traktor pro 3.5 and Mac os High Sierra without any issue ..

Before upgrading i want to be sure to choose the best compatability without any issue.

Thanks for your assistance .

Answers

  • lord-carlos
    lord-carlos Member Posts: 2,057 Expert

    Can't help with the mac part, but for x1mk3 you need at least 3.10. It will not work with older versions. And I think for 3.10 you need at least Big Sur. Maybe newer. But someone else can chime in with details.

  • FRUTELLO
    FRUTELLO Member Posts: 6 Member

    Thanks lord-Carlos , as you said I ll wait fir more feed backs ..

  • Stevan
    Stevan Traktor Mapping Mod Posts: 1,538 mod

    Nothing less and nothing more. Works great with the following config.


  • FRUTELLO
    FRUTELLO Member Posts: 6 Member

    Thanks Stevan , i ll try to upgrade accordingly .

Back To Top